Skip to main content

Read trust authority

GET 

/v2/config/digital-wallet/openid/trust-authority/:trustAuthorityId

Retrieves a trust authority configuration by its ID, including the EBSI Trust Registry or trust list details.

Request

Path Parameters

    trustAuthorityId stringrequired

    Unique identifier of a trust authority within the configured trust framework.

Responses

Response Headers
    Schema
      trustAuthority object
      id string

      Unique identifier for the trust authority record.

      type booleanrequired

      Type of the trust list (e.g. EBSI Trusted Issuer Registry).

      value booleanrequired

      URL or identifier of the trust list endpoint.

      name boolean

      Human-readable name of the trust authority.

      createdAt numberrequired

      Unix timestamp (in seconds) when this trust authority was registered.

      updatedAt numberrequired

      Unix timestamp (in seconds) when this trust authority was last modified.

      disabled boolean

      When true, this trust authority is disabled and not used for credential or verifier trust validation.

    Loading...